explain_time_or_die(3)

NAME
explain_time_or_die - get time in seconds and report errors

SYNOPSIS
#include <libexplain/time.h>

time_t explain_time_or_die(time_t *t);
time_t explain_time_on_error(time_t *t);

DESCRIPTION
The explain_time_or_die function is used to call the time(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_time(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_time_on_error function is used to call the time(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_time(3) function, but still returns to the caller.

t   The t, exactly as to be passed to the time(2) system call.

RETURN VALUE
The explain_time_or_die function only returns on success, see time(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_time_on_error function always returns the value return by the wrapped time(2) system call.

EXAMPLE
The explain_time_or_die function is intended to be used in a fashion similar to the following example:
    time_t result = explain_time_or_die(t);

SEE ALSO

time(2)
    get time in seconds

explain_time(3)
    explain time(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2009 Peter Miller